Subject: [Syslog] documenting industry-standard "plain tcp syslog"

From: "Rainer Gerhards" <[email-masked]>
Date: Fri, 6 Nov 2009 17:59:29 +0100

Hi WG,

I would like to ask about the proper procedure - and potential acceptance of
such an effort - before I invest any real time into an effort. I am often in
the situation that I need to talk to other folks about the current practice
of "plain tcp syslog". This "protocol" is not standardized and the IETF has
no intention to do so (and I applaud that for various reasons). However, it
is often unfortunate to have no reference for how it is done, especially as
it will be present for at least another five, very probably more, years from
now.

So I have to admit I have a somewhat urgent need to get a reference out for
this protocol some way or the other. One route I could take is create an
informational personal I-D that describes what we see in practice (much like
RFC3164 described how UDP was done).

I know this cannot be a WG deliverable under the current charter and I know
that we cannot recharter (nor would I like to do so) before we have completed
the current items. So I wonder if there is any way to publish such an
informational RFC and if there would be support, or at least no objection,
from this WG.

Any advise and/or comment would be appreciated.

Thanks,
Rainer

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 6 Nov 2009 19:24:18 +0100

> informational RFC and if there would be support, or at least no objection,

I support having a reference specification how SYSLOG over TCP is
commonly done. The path forward with an individual ID is fine with me.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "David Harrington" <[email-masked]>
Date: Tue, 10 Nov 2009 12:49:34 +0900

Hi,

The chairs have discussed this proposed work with the security and ops
area directors.
The area directors are comfortable with this work being done in the
OPS area, preferably in the OPSAWG WG.

As with any proposal, the WG will need to decide to accept the draft
as a WG draft.
The WG can request an update to the OPSAWG charter. The OPSAWG chairs
will oversee the process.
The WG can decide to submit this for publication as Informational or
standards-track.
The IESG (representing the IETF) can choose which publication status
is appropriate for the document.

dbh

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
> Sent: Saturday, November 07, 2009 3:24 AM
> To: Rainer Gerhards
> Cc: [email-masked]
> Subject: Re: [Syslog] documenting industry-standard "plain tcp
syslog"
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/syslog
>

---

From: "Rainer Gerhards" <[email-masked]>
Date: Tue, 10 Nov 2009 16:19:29 +0100

Thank you everyone, I will see that I get something to be discussed out of
the door soon!

Rainer

> From: David Harrington [mailto:[email-masked]]
> Sent: Tuesday, November 10, 2009 4:50 AM
> To: 'Juergen Schoenwaelder'; Rainer Gerhards
> Cc: [email-masked]; 'Chris Lonvick'
> Subject: RE: [Syslog] documenting industry-standard "plain tcp syslog"
> 
> Hi,
>